<!DOCTYPE html>
{% extends 'base.html' %} 
{% load static %}
{% load checkLink %}

{%block links%}
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="{% static '/css/general.css' %}" />
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
</script>
<script src="{% static 'js/preview.js' %}"></script>
{%endblock%}

{% block body %}
<main class="home-body flex-fill">
    <h1>Edit Information</h1>
    <h3>Changing Avatar</h3>
    <br>
    <p id = "help"></p>
    <div class="text-center">
        <div class="Output">
            <p  style="font-weight: 500;">The picture displayed here is the chosen avatar:</p><br>
            {%if relative.avatar%}
            <figure class="home_profile_image"><img id="img_id" class="home_profile_actual_image" width="200px" height="200px" style="max-width: 200px; max-height: 200px;" src="{{relative.avatar.url}}" alt="avatar_pic"/></figure>
            {%else%}
            <figure class="home_profile_image"><img id="img_id" class="home_profile_actual_image" width="200px" height="200px" style="max-width: 200px;  max-height: 200px;" src="data:image/jpeg;base64,{{avatar_url}}" onerror="this.src='{%static '/image/default-avatar.png' %}'" alt="avatar_pic"/></figure>
            {%endif%}
        </div>
    </div>
    
    <form  {%if path%} action="{% url 'relative-update-photo' pk=pk %}" {%else%} action="{% url 'relative_photo' pk=pk %}" {%endif%} method="POST" enctype="multipart/form-data">
        {% csrf_token %}
        {{ relative_photo_form.media}}
        {{relative_photo_form.as_p}}
        <div class="text-center">
            <p class="mb-1"><button class="btn button-primary" type="button" onclick="upload_img_url('{{twitter_url64}}','{{twitter_url}}')" style="width: 260px;">Use Twitter profile picture</button></p>
            <p><button class="btn button-primary" type="button" onclick="upload_img_url('{{instagram_url64}}','{{instagram_url}}')" style="width: 260px;">Use Instagram profile picture</button></p>
        </div>
        <br>
        <div class="text-center">
            <button class="btn button-primary" type="submit" id="sub">Save Photo</button>
        </div>
    </form>
</main>

{%endblock%}